<?php

    include("../scripts/connect.php");

   $conexion=conecta_default();
   include_once("../scripts/session.php");

   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
  $conexion=conecta_default();




   $id_venta =$_POST['transacc'];
   
   
   
   
   $qPP = "delete from nsalida where transacciones_idtransacciones='$id_venta'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
   
   echo"El contenido del pedido ha desaparecido";
   
   
   
   

   echo "<br><center>Informacion del Pedido # $id_venta<br>"; 
   $qa = "SELECT idprom,`nombre`,`appat`,`apmat`, rfc FROM `inversionista` WHERE id_inver = '".$id_dist."'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $promotor = $ra[0];
	   $nom = $ra[1];
	   $app= $ra[2];
	   $apm = $ra[3];
	   $rfc = $ra[4];

	};

	$qa1 = "SELECT `nombre`,`appat`,`apmat` FROM `inversionista` WHERE id_inver = '".$promotor."'";
   $ca1 = mysql_query($qa1) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra1 = mysql_fetch_row($ca1))
   {
	   $nomp = $ra1[0];
	   $appp= $ra1[1];
	   $apmp = $ra1[2];
	};

	echo"<table>
	<tr><td>Pedido Real<br>
	<table border=1> <th>Cantidad</th><th>ID</th><th>Nombre</th><th>precio</th><th>puntos</th>";
	
	
		$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$id_venta'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   
					$qP1 = "INSERT INTO nsalida
							    (	 
							     transacciones_idtransacciones, productos_idprod, cant, asignar 
							    ) 
							    VALUES 
							    (
								    '$id_venta', '$ral[4]','$ral[0]','$ral[0]'
							     )";
					$cP1 = mysql_query($qP1) or die ('Error (Intento de Actualizacion en nsalida): ' . mysql_error());
	   
	   
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];

	};
	
	
	
	
	
	
	
	$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$id_venta' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   
	   $qP1 = "INSERT INTO nsalida
							    (	 
							     transacciones_idtransacciones, productos_idprod, cant, asignar 
							    ) 
							    VALUES 
							    (
								    '$id_venta', '$ral[4]','$ral[0]','$ral[0]'
							     )";
					$cP1 = mysql_query($qP1) or die ('Error (Intento de Actualizacion en nsalida): ' . mysql_error());
	   
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
	
	echo"</table><br>Precio$ $precio1 Puntos $puntos1</td><td>";
	
	
	/*$prodlinea=mysql_query($linea);
	
	$prod_linea=mysql_fetch_array($prodlinea);
	echo $prod_linea;*/

	
	echo"Producto Entregado<bR><table border=1><th>Cantidad</th><th>Producto</th>";

		
	$linea="SELECT cant, nombreProd FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$id_venta' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	/*$promo=mysql_query($promos);
	$promo_s=mysql_fetch_array($promo);
	echo $promo_s;
	$pedido=array_merge($prod_linea,$promo_s);
	//print_r($pedido);*/







?>



